Delete role pair
DELETE
/api/discord-sync/pairs/{id}Stop pairing two roles. Neither role is changed.
Needs the ManageDiscordSync permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
curl -X DELETE "https://example.com/api/discord-sync/pairs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "roleSyncOn": true, "banSyncToDiscord": true, "banSyncToVRChat": true, "banSyncFromBots": true, "banCopyAction": "string", "botCanBanMembers": true, "botCanRemoveMembers": true, "botCanManageRoles": true, "rolesRanAt": null, "rolesProblem": null, "bansReadAt": null, "bansProblem": null, "pairs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "vrChatRoleId": "string", "vrChatRoleName": null, "discordRoleId": "string", "discordRoleName": null, "decides": "string", "enabled": true, "botCanAssign": true, "rank": null, "problem": null } ], "groupRoles": [ { "id": "string", "name": "string" } ]}